function FittingScore=Fitscore(SimSmad,SimSnail,SimGLI)
% global Smad_Bin  Smad_Dis Snail1_Bin  Snail1_Dis
% global Smad_Mean Snailmean  Gli_mean 
% FittingScore=norm(SimSmad-Smad_Mean)+norm(SimSnail(1:end-1)-Snailmean(1:end-1))+norm(SimGli-Gli_mean);  
 
global Smad_Bin Smad_Dis Snail1_Bin  Snail1_Dis GLI1_Bin  GLI1_Dis Pmax Teff

DataPointNum=5; 
SmadScore=zeros(1,DataPointNum);
SnailScore=zeros(1,DataPointNum);
GLIScore=zeros(1,DataPointNum);
for i=1:DataPointNum 
    SmadScore(i)=interp1(Smad_Bin,Smad_Dis(i,:),SimSmad(i));
    SnailScore(i)=interp1(Snail1_Bin,Snail1_Dis(i,:),SimSnail(i));
    GLIScore(i)=interp1(GLI1_Bin,GLI1_Dis(i,:),SimGLI(i));
end    

%both smad/GLI and snail
P=prod([SmadScore(1:end) SnailScore(1:end) GLIScore(1:end)]);  
Pmax=prod([max(Smad_Dis')  max(Snail1_Dis')  max(GLI1_Dis')]); 
 
% 
% % snail
% P=prod([  GLIScore(1:end)]);  
% Pmax=prod([ max(GLI1_Dis')]); 
 
%both GLI and snail
% P=prod([GLIScore(1:end)]);   
% Pmax=prod([max(GLI1_Dis')]);   
 
FittingScore=-Teff*(log(P)-log(Pmax)) ;