 
 
 
global Smad_Bin  Smad_Dis Snail1_Bin  Snail1_Dis   Teff 
global ExpTime 
DataPointNum=5; 

load('Exp_SmadSnail.mat') 

ExpTime=[0 8 12 24 48];

Smad_Bin=0:0.1:100;
Smad_Dis(1,:)=hist(Smadctrl,Smad_Bin)/length(Smadctrl);
Smad_Dis(2,:)=hist(SmadH8,Smad_Bin)/length(SmadH8);
Smad_Dis(3,:)=hist(SmadH12_conti,Smad_Bin)/length(SmadH12_conti);
Smad_Dis(4,:)=hist(SmadH24_conti,Smad_Bin)/length(SmadH24_conti);
Smad_Dis(5,:)=hist(SmadH48_conti,Smad_Bin)/length(SmadH48_conti);

Snail1_Bin=0:0.2:100;
Snail1_Dis(1,:)=hist(Snailctrl,Snail1_Bin)/length(Snailctrl); 
Snail1_Dis(2,:)=hist(SnailH8,Snail1_Bin)/length(SnailH8); 
Snail1_Dis(3,:)=hist(SnailH12_conti,Snail1_Bin)/length(SnailH12_conti); 
Snail1_Dis(4,:)=hist(SnailH24_conti,Snail1_Bin)/length(SnailH24_conti); 
Snail1_Dis(5,:)=hist(SnailH48_conti,Snail1_Bin)/length(SnailH48_conti); 
 

global Smad_Mean Snailmean   
Smad_Mean=[mean(Smadctrl) mean(SmadH8) mean(SmadH12_conti) mean(SmadH24_conti) mean(SmadH48_conti) ]/mean(Smadctrl);
Snailmean=[mean(Snailctrl) mean(SnailH8) mean(SnailH12_conti) mean(SnailH24_conti) mean(SnailH48_conti)]/mean(Snailctrl) ;
   
global Smad_max Snail_max

[ a, index]=max(Smad_Dis');
Smad_max=Smad_Bin(index);
[a, index ]=max(Snail1_Dis'); 
Snail_max=Snail1_Bin(index);
 
ParaInit
global plotflag
plotflag=0;

global T  
global stepsToDiscard accepts steps 
global FittingScore FittingScoreBEST
 
global SimSmad0 SimSnail0

SimSmad0=ones(1,length(ExpTime))*0.01;
SimSnail0=ones(1,length(ExpTime))*0.01; 
stepsToDiscard=0;
accepts=0; steps=0;
 

Teff=1;

ParaInit
%initial
TGF=0;
% options = odeset('AbsTol',1e-9);
sol=ode15s(@Fig1_ODE,[0 100000],[0 0 0 0 0 0]);% ,options);
y0=sol.y(:,end);
%TGF_induction
TGF=4;
sol=ode15s(@Fig1_ODE,[0 50],y0);% ,options);  
subplot(2,2,1)  
plot(sol.x,sol.y(1,:),'r','LineWidth',4)
sol.x
sol.y(1,:)
hold on 
% plot(ExpTime, Smad_max,'ko','MarkerSize',10,'LineWidth',2) 
% errorbar(ExpTime, Smad_Mean,Smad_std) 

subplot(2,2,2)  
plot(sol.x,sol.y(4,:),'r','LineWidth',4)
hold on 
% plot(ExpTime, Snail_max,'ko','MarkerSize',10,'LineWidth',2) 
% errorbar(ExpTime, Snailmean,Snail_std) 
%

subplot(2,2,1)
hold on
violin(Smadctrl/mean(Smadctrl),'x',[0 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH8/mean(Smadctrl),'x',[8 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH12_conti/mean(Smadctrl),'x',[12 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH24_conti/mean(Smadctrl),'x',[24 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH48_conti/mean(Smadctrl),'x',[48  1],'medc','k-','mc',[],'bw',.2)
xlabel('Time (h)') 
ylabel('[nuclear pSMAD2/3]')
xlim([-2 50])
ylim([0 8])
set(gca,'TickLength',[0.01 0.025])
%  set(gca,'XTickLabel',...
% {'0','10','20','30','40','50'})

subplot(2,2,2)
hold on
violin(Snailctrl/mean(Snailctrl),'x',[0 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH8/mean(Snailctrl),'x',[8 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH12_conti/mean(Snailctrl),'x',[12 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH24_conti/mean(Snailctrl),'x',[24 1],'medc','k-','mc',[],'bw',.15)
violin(SnailH48_conti/mean(Snailctrl),'x',[48 1] ,'medc','k-','mc',[],'bw',.15)

xlabel('Time (h)')
ylabel('[nuclear SNAIL1]') 
xlim([-2 50])
ylim([0 6]) 
set(gca,'TickLength',[0.01 0.025])
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 

% ExpTime=[0 8 12 24 48];
% subplot(2,2,1)
% hold on 
% for i=1:5
%     myvoilin(Smad_Dis(i,:),Smad_Bin,[ExpTime(i) 1.5])  
%     hold on 
% end 
% xlabel('Time(h)') 
% ylabel('[nuclear pSMAD2/3]') 
% ylim([0 8]) 
% xlim([-2 50]) 
% 
%  
% subplot(2,2,2)
% 
% Snail1_Bin=0:0.2:100;
% for i=1:5
%     myvoilin(Snail1_Dis(i,:),Snail1_Bin,[ExpTime(i) 1.5])  
%     hold on 
% end
% ylim([0 6])  
% xlabel('Time(h)') 
% ylabel('[nuclear SNAIL1]') 
% xlim([-2 50]) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 
%%

 
