function  AccepteFlag=MetropolisStep()
 
global Smad_Mean Snailmean Smad_max Snail_max ExpTime 
 
global plotflag
global Para0 Para_max Para_min Para_Deata ParaNum
global TGF
global T  FittingScore FittingScoreBEST Teff


global kp_smad0 kp_smad Smadall Jp_smad0 Jp_smad1 dp_smad Jdp_smad 
global k_smadi kd_smadi  
global k0_snail k_snail0 J_snail0
 
global SimSmad0 SimSnail0
 

Tmax=ExpTime(end);   

% Para_new=Para0.*(1+(rand(1,ParaNum)-0.5)*2*0.1) 
Para_new=Para0+((rand(1,ParaNum)-0.5)*2.*Para_Deata);
%Boundary constrain
Para_new=min(Para_new,Para_max);
Para_new=max(Para_new,Para_min); 
 

kp_smad0=Para_new(1);  kp_smad=Para_new(2);  Smadall=Para_new(3);Jp_smad1=Para_new(5);  dp_smad=Para_new(6);  Jp_smad0=Para_new(4);Jdp_smad=Para_new(7);
k_smadi=Para_new(8);kd_smadi=Para_new(9);  
k0_snail=Para_new(10); k_snail0=Para_new(11); J_snail0=Para_new(12);
 
%%%%%%%%%%%%%%%%%%%%%%% 
%initial
TGF=0;
% options = odeset('AbsTol',1e-9);
sol=ode15s(@Fig1_ODE,[0 100000],[0 0 0 0 0 0]);% ,options);
y0=sol.y(:,end);
%TGF_induction
TGF=4;
sol=ode15s(@Fig1_ODE,[0 Tmax+20],y0);% ,options); 
%%%%%%%%%%%%%%%%%%%%%%%

if sol.x(end)>=Tmax % in case of unable to meet integration tolerances
    SimSmad1=deval(ExpTime,sol,1);  
    SimSnail1=deval(ExpTime,sol,4); 
    FittingScore_new=Fitscore(SimSmad1,SimSnail1,T);  
else
    FittingScore_new=0;
end
   %%
FittingScore=Fitscore(SimSmad0,SimSnail0,T);
% acception_probability=FittingScore/FittingScore_new;   
acception_probability=exp(-(FittingScore_new-FittingScore)/Teff);   

AccepteFlag=0;
% % seaching the distribution 
% if (  rand  < acception_probability ) || rand <.15
if (  rand < min(acception_probability,1))
% if (  1 <  acception_probability )
    AccepteFlag=1;
    FittingScore=FittingScore_new;
    Para0=Para_new;  
    SimSmad0=SimSmad1;
    SimSnail0=SimSnail1;      
end 
%%
%plot the results
if  AccepteFlag==1&& plotflag==1;   
% if  FittingScore_new<FittingScoreBEST && plotflag==1;  
%     FittingScoreBEST=FittingScore_new;
    pause(0.000000000000001)
    subplot(2,2,1)
%     hold off
    plot(sol.x,sol.y(1,:),'color',[.5 .5 .5])
    hold on 
%     plot(ExpTime, Smad_Mean,'o','MarkerSize',10) 
%     plot(ExpTime, Smad_max,'o','MarkerSize',10) 
    
    subplot(2,2,2)
%     hold off
    plot(sol.x,sol.y(4,:),'color',[.5 .5 .5])
    hold on 
%     plot(ExpTime, Snailmean,'o','MarkerSize',10) 
%     plot(ExpTime, Snail_max,'o','MarkerSize',10) 
end