function  AccepteFlag=MetropolisStep()
 
global  Smad_Mean Snailmean Gli_mean ExpTime
 
global plotflag
global Para0 Para_max Para_min Para_Deata ParaNum
global TGF
global FittingScore  FittingScoreBEST Teff

global kp_smad0 kp_smad Smadall  Jp_smad0 Jp_smad1 dp_smad Jdp_smad 
global k_smadi kd_smadi  
global k_gli0 k_gli1 k_gli2 d_gli J_gli1 J_gli2    
global k0_snail k_snail0   J_snail0  k_snail1 J_snail1   
 
global SimSmad0 SimSnail0 SimGli0  
 

Tmax=ExpTime(end);   

% Para_new=Para0.*(1+(rand(1,ParaNum)-0.5)*2*0.1) 
Para_new=Para0+((rand(1,ParaNum)-0.5)*2.*Para_Deata);
%Boundary constrain
Para_new=min(Para_new,Para_max);
Para_new=max(Para_new,Para_min); 
 
       
kp_smad0=Para_new(1);  kp_smad=Para_new(2);  Smadall=Para_new(3);
Jp_smad1=Para_new(5);  dp_smad=Para_new(6);  Jp_smad0=Para_new(4);Jdp_smad=Para_new(7);
k_smadi=Para_new(8);kd_smadi=Para_new(9); 
k_gli0=Para_new(10);  k_gli1=Para_new(11);  k_gli2=Para_new(12); d_gli=Para_new(13); J_gli1=Para_new(14); J_gli2=Para_new(15);   
k0_snail=Para_new(16); k_snail0=Para_new(17); J_snail0=Para_new(18); k_snail1=Para_new(19); J_snail1=Para_new(20);

%%%%%%%%%%%%%%%%%%%%%%% 
%initial
TGF=0;
% options = odeset('AbsTol',1e-9);
sol=ode15s(@Fig2_ODE,[0 100000],[0 0 0 0 0 0 0]);% ,options);
y0=sol.y(:,end);
%TGF_induction
TGF=4;
sol=ode15s(@Fig2_ODE,[0 Tmax],y0);% ,options); 
%%%%%%%%%%%%%%%%%%%%%%%

if sol.x(end)>=Tmax % in case of unable to meet integration tolerances
    SimSmad1=deval(ExpTime,sol,1);  
    SimGli1=deval(ExpTime,sol,3);   
    SimSnail1=deval(ExpTime,sol,5); 
    FittingScore_new=Fitscore(SimSmad1,SimSnail1,SimGli1);  
else
    FittingScore_new=0;
end
   %% 
% FittingScore=Fitscore(SimSmad0,SimSnail0,SimGli0);
% acception_probability=FittingScore/FittingScore_new;  
 
acception_probability=exp(-(FittingScore_new-FittingScore)/Teff)    
 
AccepteFlag=0;
% % seaching the distribution 
% if (  rand  < acception_probability )
% if (  1  < acception_probability )
if (  rand < min(acception_probability,1))
    AccepteFlag=1;
    FittingScore=FittingScore_new;
    Para0=Para_new;  
    SimSmad0=SimSmad1;
    SimSnail0=SimSnail1;      
    SimGli0=SimGli1;    
end 
%%

global Smad_max Snail_max Gli_max
%plot the results
if  AccepteFlag==1&& plotflag==1;   
% if  FittingScore_new<FittingScoreBEST && plotflag==1;  
%     FittingScoreBEST=FittingScore_new;
    pause(0.000000000000001)
    subplot(3,2,1)
%     hold off
    plot(sol.x,sol.y(1,:),'color',[.5 .5 .5])
    hold on 
%     plot(ExpTime, Smad_max,'o','MarkerSize',10) 
    
    subplot(3,2,3)
%     hold off
    plot(sol.x,sol.y(3,:),'color',[.5 .5 .5])
    hold on 
%     plot(ExpTime, Gli_max,'o','MarkerSize',10) 
    
    subplot(3,2,5) 
%     hold off
    plot(sol.x,sol.y(5,:),'color',[.5 .5 .5])
    hold on 
%     plot(ExpTime, Snail_max,'o','MarkerSize',10)  
    
end