
clc
clear
global Smad_Bin  Smad_Dis Snail1_Bin  Snail1_Dis GLI1_Bin  GLI1_Dis 

DataPointNum=5; 

load('Exp_SmadSnail.mat') 
load('Exp_Gli.mat') 

Smad_Bin=0:0.1:100;
Smad_Dis=zeros(5,1001);
Smad_Dis(1,:)=hist(Smadctrl,Smad_Bin)/length(Smadctrl);
Smad_Dis(2,:)=hist(SmadH8,Smad_Bin)/length(SmadH8);
Smad_Dis(3,:)=hist(SmadH12_conti,Smad_Bin)/length(SmadH12_conti);
Smad_Dis(4,:)=hist(SmadH24_conti,Smad_Bin)/length(SmadH24_conti);
Smad_Dis(5,:)=hist(SmadH48_conti,Smad_Bin)/length(SmadH48_conti);

Snail1_Bin=0:0.2:100;
Snail1_Dis=zeros(5,501);
Snail1_Dis(1,:)=hist(Snailctrl,Snail1_Bin)/length(Snailctrl); 
Snail1_Dis(2,:)=hist(SnailH8,Snail1_Bin)/length(SnailH8); 
Snail1_Dis(3,:)=hist(SnailH12_conti,Snail1_Bin)/length(SnailH12_conti); 
Snail1_Dis(4,:)=hist(SnailH24_conti,Snail1_Bin)/length(SnailH24_conti); 
Snail1_Dis(5,:)=hist(SnailH48_conti,Snail1_Bin)/length(SnailH48_conti); 
  

GLI1_Bin=0:0.2:100;
GLI1_Dis=zeros(5,501);
GLI1_Dis(1,:)=hist(Glictrl,GLI1_Bin)/length(Glictrl); 
GLI1_Dis(2,:)=hist(GliH8,GLI1_Bin)/length(GliH8); 
GLI1_Dis(3,:)=hist(GliH12_conti,GLI1_Bin)/length(GliH12_conti); 
GLI1_Dis(4,:)=hist(GliH24_conti,GLI1_Bin)/length(GliH24_conti); 
GLI1_Dis(5,:)=hist(GliH48_conti,GLI1_Bin)/length(GliH48_conti); 

 
 
global Smad_max Snail_max Gli_max

[ a, index]=max(Smad_Dis');
Smad_max=Smad_Bin(index);
[a, index ]=max(Snail1_Dis'); 
Snail_max=Snail1_Bin(index);
[a, index ]=max(GLI1_Dis'); 
Gli_max=GLI1_Bin(index);

  
global Smad_Mean Snailmean  Gli_mean ExpTime Teff 
Teff=1
load('Exp_SmadSnail.mat') 
load Exp_Gli.mat
ExpTime=[0 8 12 24 48]; 
Smad_Mean=[mean(Smadctrl) mean(SmadH8) mean(SmadH12_conti) mean(SmadH24_conti) mean(SmadH48_conti) ]/mean(Smadctrl);
Snailmean=[mean(Snailctrl) mean(SnailH8) mean(SnailH12_conti) mean(SnailH24_conti) mean(SnailH48_conti)]/mean(Snailctrl);
Gli_mean=[mean(Glictrl), mean(GliH8),   mean(GliH12_conti),   mean(GliH24_conti),   mean(GliH48_conti) ]/mean(Glictrl);
 
Smad_std=[std(Smadctrl) std(SmadH8) std(SmadH12_conti) std(SmadH24_conti) std(SmadH48_conti) ]/mean(Smadctrl);
Snailstd=[std(Snailctrl) std(SnailH8) std(SnailH12_conti) std(SnailH24_conti) std(SnailH48_conti)]/mean(Snailctrl) ;
Gli_std=[std(Glictrl), std(GliH8), std(GliH12_conti),   std(GliH24_conti),   std(GliH48_conti) ]/mean(Glictrl)  ;
 
ParaInit

k0_snail=Para0(16) ; k_snail0=Para0(17); J_snail0=Para0(18); 
k_snail1=Para0(19); J_snail1=Para0(20) ;n=4; J_snail2=Para0(22);
 
%initial
TGF=0;
% options = odeset('AbsTol',1e-9);
sol=ode15s(@FullModel,[0 100000],[0 0 0 0 0 0 0]);% ,options);
y0=sol.y(:,end) 
%TGF_induction
TGF=4;
sol=ode15s(@FullModel,[0 51],y0);% ,options); 
% plot(sol.x,sol.y)
  subplot(2,3,1) 
%     hold off
    plot(sol.x,sol.y(1,:),'r','Linewidth',2)
    hold on 
%     plot(ExpTime/5, Smad_Mean,'o','MarkerSize',10) 
%     plot(ExpTime/5, Smad_max,'ko','MarkerSize',10,'Linewidth',2) 
    
    
    a1=10; 
    b1=10;
    GSKc=TGF *(1-exp(-sol.x/a1)).*exp(-(sol.x-b1)/a1);
    GLIt=sol.y(3,:);     
    Gli1=Glin_solve(GLIt,GSKc);
    
    subplot(2,3,2)  
%     hold off
    plot(sol.x,Gli1,'r','Linewidth',2)
    hold on  
%     plot(sol.x,GSKc)
%     plot(ExpTime/5, Gli_mean,'o','MarkerSize',10) 
%     plot(ExpTime/5, Gli_max,'ko','MarkerSize',10,'Linewidth',2) 
    ylim([0 5])
    
    subplot(2,3,3)   
%     hold off
    plot(sol.x,sol.y(5,:),'r','Linewidth',2)
    hold on 
%     plot(ExpTime/5, Snailmean,'o','MarkerSize',10) 
%     plot(ExpTime/5, Snail_max,'ko','MarkerSize',10,'Linewidth',2)  
    
    
subplot(2,3,1) 
hold on
violin(Smadctrl/mean(Smadctrl),'x',[0 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH8/mean(Smadctrl),'x',[8 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH12_conti/mean(Smadctrl),'x',[12 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH24_conti/mean(Smadctrl),'x',[24 1] ,'medc','k-','mc',[],'bw',.2)
violin(SmadH48_conti/mean(Smadctrl),'x',[48  1],'medc','k-','mc',[],'bw',.2)
xlabel('Time (h)') 
ylabel('[nuclear pSMAD2/3]')
xlim([-2 50])
ylim([0 8]) 
set(gca,'TickLength',[0.01 0.025])

subplot(2,3,3)
hold on
violin(Snailctrl/mean(Snailctrl),'x',[0 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH8/mean(Snailctrl),'x',[8 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH12_conti/mean(Snailctrl),'x',[12 1] ,'medc','k-','mc',[],'bw',.15)
violin(SnailH24_conti/mean(Snailctrl),'x',[24 1],'medc','k-','mc',[],'bw',.15)
violin(SnailH48_conti/mean(Snailctrl),'x',[48 1] ,'medc','k-','mc',[],'bw',.15)

xlabel('Time (h)')
ylabel('[nuclear SNAIL1]') 
xlim([-2 50])
ylim([0 6]) 
set(gca,'TickLength',[0.01 0.025])
 
 
subplot(2,3,2)
hold on
violin(Glictrl/mean(Glictrl),'x',[0 1],'medc','k-','mc',[],'bw',.15)
violin(GliH8/mean(Glictrl),'x',[8 1],'medc','k-','mc',[],'bw',.15)
violin(GliH12_conti/mean(Glictrl),'x',[12 1],'medc','k-','mc',[],'bw',.15)
violin(GliH24_conti/mean(Glictrl),'x',[24 1],'medc','k-','mc',[],'bw',.15)
violin(GliH48_conti/mean(Glictrl),'x',[48 1],'medc','k-','mc',[],'bw',.15)
xlim([-2 50]) 
xlabel('Time (h)')
ylabel('[nuclear SNAIL1]')
set(gca,'TickLength',[0.01 0.025])
ylim([0 8]) 