function dy=FullModel_Pulse(t,y) 
global TGF  TGF_Duration TGF_decay
global kp_smad0 kp_smad Smadall  Jp_smad0 Jp_smad1 dp_smad Jdp_smad 
global k_smadi kd_smadi  

global k_gli0 k_gli1 k_gli2 d_gli J_gli1 J_gli2   
global k_snail1 J_snail1 n 

global k0_snail  k_snail0   J_snail0   J_snail2 kd_snail  kd_SR1  
global k_SNAIL kd_SNAIL   
global k0_34 k_34 J1_34 J2_34  kd_34 
global Ks lamdas Timescale       
global ZEB  
global kgskn kgskc GSKn0  

Smad23=y(1); 
SMADI=y(2);   
GLIt=y(3);  
snailt=y(4);  
SNAIL=y(5);  
miR34t=y(6);   
SR1=y(7);

miR34=miR34t-SR1;
snail=snailt-SR1;
 

if TGF_Duration>0

    if t< TGF_Duration
        TGF_t= TGF;
    else
        TGF_t=TGF*exp(-TGF_decay*(t-TGF_Duration));
    end  

else 
    TGF_t=0; 
end

a1=10; 
b1=10;
a2=20; 
b2=20;

% GSKc=1+TGF_t/4*(1-exp(-t/a1)).*exp(-(t-b1)/a1);
% GSKn=1-TGF_t/4*(1-exp(-t/a2)).*(exp(-(t-b2)/a2));

GSKc=TGF_t*kgskc*(1-exp(-t/a1)).*exp(-(t-b1)/a1);
GSKn=GSKn0-TGF_t*kgskn*(1-exp(-t/a2)).*(exp(-(t-b2)/a2));
  
GLIn=Glin_solve(GLIt,GSKc);

dy=[ 
% Smad23'=
(kp_smad0+kp_smad*TGF_t)*(Smadall-Smad23)/(Jp_smad0+(Smadall-Smad23))/(1+SMADI/Jp_smad1)-dp_smad*Smad23/(Jdp_smad+Smad23);
% 
% SMADI'=
(k_smadi*Smad23-kd_smadi*SMADI);  
%
% GLIt'= 
(k_gli0+k_gli1*Smad23^2/(J_gli1^2+Smad23^2) + k_gli2*GLIn^4/(GLIn^4+J_gli2^4)-d_gli*GLIn*3*GSKn);
%  
% snailt'= 
k0_snail + (k_snail0*Smad23^2/(J_snail0^2+Smad23^2 ) +  k_snail1*GLIn^n/(GLIn^n+J_snail1^n))/(1+SNAIL/J_snail2)-kd_snail*snail-kd_SR1*SR1;
% 
% SNAIL'= 
k_SNAIL*snail-kd_SNAIL*SNAIL*3*GSKn;
% 
% miR34t'=  
k0_34 + k_34/( 1 + (SNAIL/J1_34)^2+ (ZEB/J2_34)^2)-  kd_34*miR34-kd_SR1*SR1+lamdas*kd_SR1*SR1;
% 
% SR1'=
Timescale*(Ks*snail*miR34-SR1);  
];


 